Packages - Bug #3223

Freedom Issue # 730 (confirmed): cool-retro-term contains nonfree fonts
[cool-retro-term] More proprietary fonts

2022-04-04 03:57 PM - gap

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description
See #730.

app/gml/fonts/1979-atari-400-800/ is proprietary.
More fonts may also be proprietary.

See: <https://github.com/Swordfish90/cool-retro-term/issues/712>

History

#1 - 2022-04-04 04:35 PM - bill-auger
- Parent task set to #730

- Status changed from unconfirmed to confirmed

please try to collect the evidence for such claims in the future, such as i did below - i do not want to blacklist anything, without well-documented
evidence

® app/gml/fonts/1977-apple2/
custom license - prohibits sale and modification
https:/github.com/Swordfish90/cool-retro-term/blob/master/app/gml/fonts/1977-apple2/Freelicense.txt

e app/gml/fonts/1977-commodore-pet/
custom license - prohibits sale and modification
https:/github.com/Swordfish90/cool-retro-term/blob/master/app/qml/fonts/1977-commodore-pet/Freelicense.ixt

e app/gml/fonts/1979-atari-400-800/
custom license - prohibits sale and modification
https://github.com/Swordfish90/cool-retro-term/blob/master/app/gmil/fonts/1979-atari-400-800/Read%20Me.pdf

® app/qml/fonts/1982-commodore64/
custom license - prohibits sale, redistribution, and modification
https:/github.com/Swordfish90/cool-retro-term/blob/master/app/gml/fonts/1982-commodore64/license.txt
http:/style64.org/c64-truetype/license

WRT the upstream BR, i suspect that you made the same presumption as the endless-sky BR - you presume that the program was intended to be
"libre" as opposed to "open-source” - otherwise, there is no reason for those fonts to be removed from the program - even GNU would not prohibit
data blobs with the first two licenses - GNU would only prohibit the "style64 license"; because it is non-re-distributable

#2 - 2022-04-07 06:38 PM - gap

| apologise for the lackluster documentation; I'll be more comprehensive in future. In this case | presumed the issue was sufficiently documented in
#730, although | now see that more documentation is preferred.

The official stance of the GNU Project is that only works for so-called "practical uses" such as fonts, recipes, software, etc. should be free, wheras my
stance, and the stance enshrined in the Parabola Social Contract, is that all published works should be free. | find the so-called "practical uses"
requirement silly precisely because all uses are practical uses, even entertainment.

As such, neither GNU, myself, nor Parabola would tolerate the nonfree fonts.

#3 - 2022-04-07 08:58 PM - bill-auger

| now see that more documentation is preferred.
https://labs.parabola.nu/issues/730
https://github.com/Swordfish90/cool-retro-term/issues/712
https://github.com/Swordfish90/cool-retro-term/blob/master/app/qml/fonts/1977-apple2/FreeLicense.txt
https://github.com/Swordfish90/cool-retro-term/blob/master/app/qml/fonts/1977-commodore-pet/FreeLicense.txt
https://github.com/Swordfish90/cool-retro-term/blob/master/app/qml/fonts/1979-atari-400-800/Read%20Me.pdf
https://github.com/Swordfish90/cool-retro-term/blob/master/app/qml/fonts/1982-commodore64/license.txt
http://style64.org/c64-truetype/license
https://labs.parabola.nu/issues/730

more documentation is always better - hopefully, someone will
want to revisit this issue in the future; and it will be

extremely helpful to know which decisions were made, and for
which reasons

The official stance of the GNU Project is that only works for "practical uses" such as fonts, recipes, software, etc. should be free, wheras my
stance, and the stance enshrined in the Parabola Social Contract, is that all published works should be free.

i think GNU is wrong about fonts vs images - fonts are no more
"practical” nor "used" as mouse buttons (icons) - fonts and icons
are actually "images" which are "displayed"; but they are
displayed for a practical purpose - so if fonts are practical,

then icons are practical - if icons are not practical, then

neither are fonts - it is not reasonable to distinguish

them
